Bug 517851 - Review Request: beacon - WYSIWYG editor for docbook xml
Review Request: beacon - WYSIWYG editor for docbook xml
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-17 09:45 EDT by Satya Komaragiri
Modified: 2009-09-02 20:32 EDT (History)
9 users (show)

See Also:
Fixed In Version: 0.5-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 20:28:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Satya Komaragiri 2009-08-17 09:45:26 EDT
SPEC: http://rakesh.fedorapeople.org/spec/beacon.spec
SRPM: http://rakesh.fedorapeople.org/srpm/beacon-0.5-1.fc11.src.rpm

Description:
WYSIWYG editor for docbook xml
Comment 1 Lubomir Rintel 2009-08-17 11:19:17 EDT
Taking this.

Satya: I'm wondering if you did any informal package reviews. In case you didn't it might be a good idea to do a couple of them, so that you can demonstrate that you're familiar with packaging guidelines in order to get sponsored.
Comment 2 Yaakov Nemoy 2009-08-17 11:53:53 EDT
Satya: as your GSoC mentor, if you do some reviews informally, and can get sponsored as a packager before the program is over, i can definitely take that into account as part of your evaluation. Let me know if you have any questions about this process.
Comment 3 Satya Komaragiri 2009-08-18 10:05:52 EDT
Did a review at:

https://bugzilla.redhat.com/show_bug.cgi?id=480724#c38
Comment 4 Satya Komaragiri 2009-08-21 08:19:42 EDT
Did another review at:

https://bugzilla.redhat.com/show_bug.cgi?id=455622
Comment 5 Lubomir Rintel 2009-08-21 12:58:24 EDT
1.) Requires list

Please consider using "webserver" dependency (and owning /etc/httpd then) instead of "httpd", at least some of the web application packages do that

2.) Configuration file

Please mark this file as %config(noreplace):
/usr/share/beacon/php/settings.php

3.) Do not abuse /var/tmp

Please refer to FHS for reason why is this bad. I suggest you use /var/lib/beacon instead.
Comment 6 Satya Komaragiri 2009-08-24 07:45:12 EDT
Thanks a lot for reviewing the package.

Updated the spec file with the changes suggested.

New spec file: http://rakesh.fedorapeople.org/spec/beacon.spec
New SRPM: http://rakesh.fedorapeople.org/srpm/beacon-0.5-2.fc11.src.rpm

I updated the spec file to require webserver instead of httpd but I am unsure if I should own /etc/httpd. Could you please explain this a bit as I seem to be missing something here.

The beacon upstream shifted to using MySQL (they used flat files before because of which I needed /var/tmp) so I could simply remove that and update the tarball.

I also added settings.php to %config(noreplace)
Comment 7 Lubomir Rintel 2009-08-24 08:13:17 EDT
(In reply to comment #6)
> Updated the spec file with the changes suggested.

Thanks!

> I updated the spec file to require webserver instead of httpd but I am unsure
> if I should own /etc/httpd. Could you please explain this a bit as I seem to be
> missing something here.

If you create a directory that neither you nor none of your dependencies own, that directory would not be removed upon package removal. That could happen in case user would elect to use e.g. lighttpd instead of apache httpd (which would satisfy the webserver dependency).

So you can either depend on "webserver" and own /etc/httpd, or depend directly on "httpd" (as you did previously). It might be a better idea to just switch back to httpd (since you use apache:apache user, etc.); sorry for the noise.

Also, please improve your %description, it seems rather short and uninformative.

I don't think any of these are blockers, I'll approve the package once you are sponsored. Please apply for packagers group so that you can get sponsored.
Comment 8 Satya Komaragiri 2009-08-24 08:50:56 EDT
Thanks a lot!

New Description: Beacon is an XSLT based plug-able WYSIWYG editor for DocBook xml. It is intended to serve as an easy to use tool which will attract new contributors who would otherwise be discouraged by the steep learning curve involved with DocBook and will also provide a convenient alternative to those who are old-timers. More information is available at https://fedoraproject.org/wiki/DocBook_Editor_Documentation and https://fedoraproject.org/wiki/DocBook_Editor_Feature.

New spec file: http://rakesh.fedorapeople.org/spec/beacon.spec
New SRPM: http://rakesh.fedorapeople.org/srpm/beacon-0.5-3.fc11.src.rpm

I just applied to join the packagers group. My FAS username is satyak.
Comment 9 Lubomir Rintel 2009-08-24 09:18:16 EDT
Seems fine now. Accepted you into packager group, lifting FE-NEEDSPONSOR.

The package is APPROVED
Comment 10 Satya Komaragiri 2009-08-24 10:01:53 EDT
Thanks :)
Comment 11 Satya Komaragiri 2009-08-26 01:47:12 EDT
New Package CVS Request
=======================

Package Name: beacon
Short Description: WYSIWYG editor for docbook xml
Branches: F-10 F-11
InitialCC:
Comment 12 Satya Komaragiri 2009-08-26 02:00:20 EDT
Oops!

New Package CVS Request
=======================

Package Name: beacon
Short Description: WYSIWYG editor for docbook xml
Owners: satyak
Branches: F-10 F-11
InitialCC:
Comment 13 Kevin Fenzi 2009-08-26 18:29:05 EDT
The package database has an issue with your account: 

Email address satya.komaragiri@gmail.com is not a valid bugzilla email address.  Either make a bugzilla account with that email address or change your email address in the Fedora Account System https://admin.fedoraproject.org/accounts/ to a valid bugzilla email address and try again.
Comment 14 Jason Tibbitts 2009-08-28 10:29:51 EDT
Please set the fedora-cvs flag back to '?' when you've fixed the above issue.
Comment 15 Satya Komaragiri 2009-08-29 06:51:55 EDT
I have made a bugzilla account with satya.komaragiri@gmail.com.
Changing the fedora-cvs flag to ?
Comment 16 Jason Tibbitts 2009-08-31 14:33:54 EDT
CVS done.
Comment 17 Fedora Update System 2009-09-01 10:06:24 EDT
beacon-0.5-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/beacon-0.5-3.fc11
Comment 18 Fedora Update System 2009-09-01 10:06:31 EDT
beacon-0.5-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/beacon-0.5-3.fc10
Comment 19 Fedora Update System 2009-09-02 20:28:26 EDT
beacon-0.5-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2009-09-02 20:32:33 EDT
beacon-0.5-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.